package ctbrec.ui.news;

import java.util.List;

import com.squareup.moshi.Json;

public class Account {

    @Json(name = "emojis")
    private List<Object> emojis = null;
    @Json(name = "note")
    private String note;
    @Json(name = "bot")
    private Boolean bot;
    @Json(name = "created_at")
    private String createdAt;
    @Json(name = "avatar")
    private String avatar;
    @Json(name = "display_name")
    private String displayName;
    @Json(name = "header_static")
    private String headerStatic;
    @Json(name = "url")
    private String url;
    @Json(name = "following_count")
    private Integer followingCount;
    @Json(name = "statuses_count")
    private Integer statusesCount;
    @Json(name = "followers_count")
    private Integer followersCount;
    @Json(name = "header")
    private String header;
    @Json(name = "id")
    private String id;
    @Json(name = "locked")
    private Boolean locked;
    @Json(name = "avatar_static")
    private String avatarStatic;
    @Json(name = "fields")
    private List<Object> fields = null;
    @Json(name = "acct")
    private String acct;
    @Json(name = "username")
    private String username;

    public List<Object> getEmojis() {
        return emojis;
    }

    public void setEmojis(List<Object> emojis) {
        this.emojis = emojis;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public Boolean getBot() {
        return bot;
    }

    public void setBot(Boolean bot) {
        this.bot = bot;
    }

    public String getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(String createdAt) {
        this.createdAt = createdAt;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public String getHeaderStatic() {
        return headerStatic;
    }

    public void setHeaderStatic(String headerStatic) {
        this.headerStatic = headerStatic;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getFollowingCount() {
        return followingCount;
    }

    public void setFollowingCount(Integer followingCount) {
        this.followingCount = followingCount;
    }

    public Integer getStatusesCount() {
        return statusesCount;
    }

    public void setStatusesCount(Integer statusesCount) {
        this.statusesCount = statusesCount;
    }

    public Integer getFollowersCount() {
        return followersCount;
    }

    public void setFollowersCount(Integer followersCount) {
        this.followersCount = followersCount;
    }

    public String getHeader() {
        return header;
    }

    public void setHeader(String header) {
        this.header = header;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Boolean getLocked() {
        return locked;
    }

    public void setLocked(Boolean locked) {
        this.locked = locked;
    }

    public String getAvatarStatic() {
        return avatarStatic;
    }

    public void setAvatarStatic(String avatarStatic) {
        this.avatarStatic = avatarStatic;
    }

    public List<Object> getFields() {
        return fields;
    }

    public void setFields(List<Object> fields) {
        this.fields = fields;
    }

    public String getAcct() {
        return acct;
    }

    public void setAcct(String acct) {
        this.acct = acct;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

}
